<template>
    <div>
        <div
            v-if="!toSend"
            class="recovery-password section"
        >
            <div class="container">
                <form
                    class="form-block recovery-password-form"
                    @submit.prevent="recoveryPassword"
                >
                    <div
                        class="form-block__header"
                        style="margin-bottom: 20px;"
                    >
                        {{ $t('password-recovery.title') }}
                    </div>
                    <div class="form-block__content">
                        <div class="form-block__wrapper-input">
                            <input
                                type="text"
                               name="EMAIL"
                               class="input default"
                               :placeholder="holder"
                               v-model="email"
                               @focus="holder = ''"
                               @blur="holder = 'E-mail'"
                               v-validate="'required|email'"
                               required
                            >
                            <!--@click="inputClick"-->
                            <!--@blur="valid"-->
                            <!--:class="{'is-danger': (errors.has('EMAIL') && email!='') }"-->
                            <!--<div v-if="errors.has('EMAIL')" v-show="email!=''" class="error-text"></div>-->
                        </div>
                        <p
                            class="form-block__description"
                            style="text-align: center;"
                        >
                            {{ $t('password-recovery.text') }}
                        </p>
                        <input
                            type="submit"
                            :value="$t('password-recovery.button')"
                            class="btn btn-primary"
                        >
                    </div>
                </form>
            </div>
        </div>
        <div
            v-if="toSend"
            class="recovery-password-send section"
        >
            <div class="container">
                <div class="form-block">
                    <div
                        class="form-block__header"
                        style="margin-bottom: 20px;"
                    >
                        <a
                            @click="$router.push('/')"
                            class="form-block__button-back"></a> {{ $t('password-recovery.title') }}
                    </div>
                    <div class="form-block__content">
                        <p>{{ $t('password-recovery.text') }}</p>
                        <p>{{ $t('password-recovery.check') }}</p>
                        <a
                            @click="$router.push('/')"
                            class="btn btn-primary"
                        >
                            {{ $t('password-recovery.inMain') }}
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
export default {
    name: 'password-recovery',
    data() {
        return {
            email: '',
            holder: 'E-mail',
            toSend: false
        };
    },
    methods: {
        recoveryPassword() {
            this.toSend = !this.toSend;
        }
    }
    //     valid(e) {
    //         let $errorMessage = $(e.target).closest('.form-block__wrapper-input').find('.error-text');
    //         for(let elem of this.errors.items) {
    //             if($(e.target).attr('name') == 'EMAIL' && $(e.target).val() != '') {
    //                 if(elem.rule == 'email') {
    //                     $errorMessage.html('Поле E-mail должно быть действительным адресом электронной почты.');
    //                     $errorMessage.slideDown();
    //                 }
    //             }
    //         }
    //     },
    //     inputClick(e) {
    //         $(this).removeClass('is-danger');
    //         let $errorMessage = $(e.target).closest('.form-block__wrapper-input').find('.error-text');
    //         $errorMessage.slideUp();
    //     },
    //     recoveryPassword() {
    //         let email = this.email;
    //         let router = this.$router;
    //
    //         this.$validator.validateAll().then((result) => {
    //             if (result) {
    //                 axios.get('https://id.test.ipex.global/api/token', {withCredentials: true})
    //                     .then(function (response) {
    //                         let token_get = response.data.token;
    //                         axios.post('https://id.test.ipex.global/password/email',
    //                             {
    //                                 _token: token_get,
    //                                 email: email,
    //                             },
    //                             {headers: {'Accept': 'application/json', 'X-Requested-With': 'XMLHttpRequest'}, withCredentials: true}
    //                         )
    //                             .then(function (response) {
    //                                 $('.recovery-password').slideUp();
    //                                 $('.recovery-password-send').slideDown();
    //                             })
    //                             .catch(function (error) {
    //                                 if (error.response) {
    //                                     console.log(error.response);
    //                                 }
    //                             })
    //                     })
    //                     .catch(function (error) {
    //                         console.log(error.response);
    //                     })
    //
    //                 return;
    //             }
    //         });
    //     },
    // },
};
</script>
